## DmapContainerDb

DmapContainerDb — An interface for DMAP container databases.

## Functions

void | (*DmapIdContainerRecordFunc) ()
void | dmap_container_db_add ()
DmapContainerRecord * | dmap_container_db_lookup_by_id ()
void | dmap_container_db_foreach ()
gulong | dmap_container_db_count ()

## Object Hierarchy

        GInterface
        ╰── DmapContainerDb

## Description

DmapContainerDb provides an interface for DMAP container databases.

## Functions

### DmapIdContainerRecordFunc ()

    void
    (*DmapIdContainerRecordFunc) (guint id,
                                  DmapContainerRecord *record,
                                  gpointer user_data);

The type of function passed to `dmap_container_db_foreach()`.

#### Parameters

id | a DMAP container record ID |
record | a DmapContainerRecord |
user_data | user data. | [closure]

### dmap_container_db_add ()

    void
    dmap_container_db_add (DmapContainerDb *db,
                           DmapContainerRecord *record,
                           GError **error);

Add a record to the database.

#### Parameters

db | A container database. |
record | A record. |
error | return location for a GError, or NULL. |

### dmap_container_db_lookup_by_id ()

    DmapContainerRecord *
    dmap_container_db_lookup_by_id (DmapContainerDb *db,
                                    guint id);

#### Parameters

db | A container database. |
id | A record ID. |

#### Returns

the database record corresponding to `id` . This record should be unrefed when no longer required.

[transfer full]

### dmap_container_db_foreach ()

    void
    dmap_container_db_foreach (DmapContainerDb *db,
                               DmapIdContainerRecordFunc func,
                               gpointer data);

Apply a function to each record in a container database.

#### Parameters

db | A container database. |
func | The function to apply to each record in the database. | [scope call]
data | User data to pass to the function. |

### dmap_container_db_count ()

    gulong
    dmap_container_db_count (DmapContainerDb *db);

#### Parameters

db | A container database. |

#### Returns

the number of records in the database.